Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.parser.v2
Class XSLException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.xml.util.XMLException
oracle.xml.parser.v2.XSLException`

All Implemented Interfaces:
  java.io.Serializable

      public class XSLException

extends XMLException

Indicates that an exception occurred during XSL tranformation

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.xml.util.XMLException
`ERROR, FATAL_ERROR, WARNING`

Constructor Summary
`XSLException(java.lang.String mesg)` Constructs a XSLException with the given message

Method Summary

Methods inherited from class oracle.xml.util.XMLException
`formatErrorMessage, getCause, getColumnNumber, getException, getLineNumber, getMessage, getMessageType, getNumMessages, getPublicId, getSystemId, getXMLError, initCause, printStackTrace, printStackTrace, printStackTrace, setException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLException

    public XSLException(java.lang.String mesg)

  Constructs a XSLException with the given message
  Parameters:
    `mesg` - - error message

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.